org.apache.ignite.internal.visor.node

## Class VisorRestConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorRestConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorRestConfiguration
    extends Object
    implements Serializable

Create data transfer object for node REST configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorRestConfiguration()`

### Method Summary

Methods
`String[]` `accessibleFolders()`
`static VisorRestConfiguration` `from(IgniteConfiguration c)`
`String` `jettyHost()`
`String` `jettyPath()`
`Integer` `jettyPort()`
`boolean` `restEnabled()`
`String` `tcpHost()`
`Integer` `tcpPort()`
`String` `tcpSslContextFactory()`
`boolean` `tcpSslEnabled()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorRestConfiguration

    public VisorRestConfiguration()

### Method Detail

#### from

    public static VisorRestConfiguration from(IgniteConfiguration c)

Parameters:
  `c` - Grid configuration.
Returns:
  Create data transfer object for node REST configuration properties.

#### restEnabled

    public boolean restEnabled()

Returns:
  Whether REST enabled or not.

#### tcpSslEnabled

    public boolean tcpSslEnabled()

Returns:
  Whether or not SSL is enabled for TCP binary protocol.

#### accessibleFolders

    @Nullable
    public String[] accessibleFolders()

Returns:
  Rest accessible folders (log command can get files from).

#### jettyPath

    @Nullable
    public String jettyPath()

Returns:
  Jetty config path.

#### jettyHost

    @Nullable
    public String jettyHost()

Returns:
  Jetty host.

#### jettyPort

    @Nullable
    public Integer jettyPort()

Returns:
  Jetty port.

#### tcpHost

    @Nullable
    public String tcpHost()

Returns:
  REST TCP binary host.

#### tcpPort

    @Nullable
    public Integer tcpPort()

Returns:
  REST TCP binary port.

#### tcpSslContextFactory

    @Nullable
    public String tcpSslContextFactory()

Returns:
  Context factory for SSL.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015